FlexIPs

List all FlexIPs

Type: GET

https://cloud.syminet.com/api/v1/flexips

Return a list of all FlexIPs.

Curl
 curl --request GET \
      --url https://cloud.syminet.com/api/v1/flexips \
      --header "authorization:bearer $API_TOKEN"
Response
{
  "data" : [
    {
      "created" : "2025-02-06 17:19:36.925397",
      "ip" : "216.218.185.30",
      "ipv4_id" : 1540,
      "keepalived" : null,
      "region" : "SFO1",
      "vm_id" : 3247,
      "vmname" : "11test1-3247.com"
    },
    {
      "created" : "2023-06-25 11:43:36.925397",
      "ip" : "216.218.244.198",
      "ipv4_id" : 1806,
      "keepalived" : null,
      "region" : "SFO1",
      "vm_id" : 3828,
      "vmname" : "11test1-newvm"
    }
  ]
}

Fetch a FlexIP

Type: GET

https://cloud.syminet.com/api/v1/flexips/{IPV4_ID}

Return details for a FlexIP.

Required URL Parameters:

IPV4_ID

FlexIP ID to fetch.

Curl
 curl --request GET \
      --url https://cloud.syminet.com/api/v1/flexips/IPV4_ID \
      --header "authorization:bearer $API_TOKEN"
Response
{
  "created" : "2025-02-06 17:19:36.925397",
  "ip" : "216.218.244.198",
  "ipv4_id" : 1806,
  "keepalived" : null,
  "region" : "SFO1",
  "vm_id" : 3828,
  "vmname" : "11test1-newvm"
}

Assign

Type: POST

https://cloud.syminet.com/api/v1/flexips/assign/{SLICE_ID}

Assign a new FlexIP to SLICE_ID,

Required URL Parameters:

SLICE_ID

Slice ID to assign a new FlexIP to.

Curl
 curl --request POST \
      --url https://cloud.syminet.com/api/v1/flexips/assign/SLICE_ID \
      --header "authorization:bearer $API_TOKEN"

Response: 202 OK

Reassign

Type: POST

https://cloud.syminet.com/api/v1/flexips/{IPV4_ID}/reassign/{SLICE_ID}

Reassign FlexIP IPV4_ID to SLICE_ID..

Required URL Parameters:

IPV4_ID

FlexIP ID to reassign.

SLICE_ID

Slice ID to reassign IPV4_ID to.

Curl
 curl --request POST \
      --url https://cloud.syminet.com/api/v1/flexips/IPV4_ID/reassign/SLICE_ID \
      --header "authorization:bearer $API_TOKEN"

Response: 202 OK

Unassign

Type: POST

https://cloud.syminet.com/api/v1/flexips/{IPV4_ID}/unassign

Unassign FlexIP IPV4_ID.

Curl
 curl --request POST \
      --url https://cloud.syminet.com/api/v1/flexips/IPV4_ID/unassign \
      --header "authorization:bearer $API_TOKEN"

Required URL Parameters:

IPV4_ID

FlexIP ID to unassign.

Response: 202 OK

Delete

Type: DELETE

https://cloud.syminet.com/api/v1/flexips/{IPV4_ID}/delete

Delete FlexIP IPV4_ID.

Required URL Parameters:

IPV4_ID

FlexIP ID to delete.

Curl
 curl --request DELETE \
      --url https://cloud.syminet.com/api/v1/flexips/IPV4_ID/delete \
      --header "authorization:bearer $API_TOKEN"

Response: 202 OK